%define url_ver %(echo %{version} | cut -d "." -f -2)

%define pkgname		gtkmm
%define api_version	3.0
%define major		1
%define libname_orig	%mklibname %{pkgname} %{api_version}
%define libname		%mklibname %{pkgname} %{api_version} %{major}
%define libnamedev	%mklibname -d %{pkgname} %{api_version}
%define libnamestaticdev	%mklibname -d -s %{pkgname} %{api_version}

Name:		%{pkgname}%{api_version}
Summary:	C++ interface for popular GUI library gtk+
Version:	3.20.1
Release:	%mkrel 1
License:	LGPLv2+ and GPLv2+
Group:		System/Libraries
URL:		http://gtkmm.sourceforge.net/
Source:		https://download.gnome.org/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.xz
BuildRequires: graphviz
BuildRequires: xsltproc
BuildRequires: doxygen
BuildRequires: libatk1.0-devel
BuildRequires: libatkmm1.6-devel 
BuildRequires: libcairo-devel
BuildRequires: libcairomm1.0-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype6-devel
BuildRequires: libgdk_pixbuf2.0_0-devel
BuildRequires: libglib2.0-devel
BuildRequires: libglibmm2.4-devel
BuildRequires: libgtk+3.0-devel
BuildRequires: libpango1.0-devel
BuildRequires: libpangomm2.4-devel
BuildRequires: libsigc++2.0_0-devel
BuildRequires: libx11-devel
BuildRequires: libstdc++-devel
BuildRequires: make
BuildRequires: pkgconfig


%description
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

%package	-n %{libname}
Summary:	C++ interface for popular GUI library gtk+
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}
Provides:	%{pkgname}%{api_version} = %{version}-%{release}

%description	-n %{libname}
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains the library needed to run programs dynamically
linked with %{pkgname}.

%package	-n %{libnamedev}
Summary:	Headers and development files of %{pkgname}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{pkgname}%{api_version}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}

%description	-n %{libnamedev}
This package contains the headers and development files that are needed,
when trying to develop or compile applications which need %{pkgname}.

%package	-n %{libnamestaticdev}
Summary:	Static libraries of %{pkgname}
Group:		Development/Libraries
Requires:	%{libnamedev} = %{version}
Provides:	%{libname_orig}-static-devel = %{version}-%{release}

%description	-n %{libnamestaticdev}
This package contains the static libraries of %{pkgname}.

%package	doc
Summary:	GTKmm documentation
Group:		Documentation
BuildArch:	noarch

%description	doc
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains all API documentation for gtkmm. You can readily read
this documentation with devhelp, a documentation reader.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%configure2_5x \
	--enable-static \
	--enable-shared
%make

%install
%makeinstall_std

rm -f %buildroot%_libdir/*.la

%files -n %{libname}
%doc AUTHORS COPYING NEWS README
%{_libdir}/libgdkmm-%{api_version}.so.%{major}*
%{_libdir}/libgtkmm-%{api_version}.so.%{major}*

%files -n %{libnamedev}
%doc PORTING ChangeLog
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/gtkmm-%{api_version}
%{_libdir}/gdkmm-%{api_version}
%{_libdir}/pkgconfig/*.pc

%files -n %{libnamestaticdev}
%doc COPYING
%{_libdir}/*.a

%files doc
%doc %{_datadir}/doc/gtkmm-%{api_version}
%doc %{_datadir}/devhelp/books/*


%changelog
* Sun Jan 15 2017 adrianomorselli <adrianomorselli> 3.20.1-1uplos2017
- rebuild for lost src.rpm

* Fri Oct 14 2016 bb <bb> 3.20.1-1pclos2016
- update


